html, body {
  display: block;
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  background-color: #101010;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

nav {
  background-color: #151525;
  height: 50px;
  display: flex;
  flex-direction: row;
  align-items: center;
  align-content: center;
  justify-content: center;
}

a {
  color: #DDE;
  text-decoration: none;
  letter-spacing: 0.08em;
  text-align: center;
  font-size: 16px;
  min-width: 120px;
  height: 100%;
  line-height: 50px;
}

nav > a:hover {
  background-color: #151515;
  font-weight: 600;
}

.flink-form {
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: stretch;
  align-content: stretch;
  margin-left: auto;
  margin-right: auto;
}

@media (min-width: 120px) and (max-width: 575px) {
  .input-area {
    width: 100%;
  }
  .flink-logo-img {
    width: 50%;
  }
}

@media (min-width: 576px) {
  .input-area {
    width: 95%;
  }
  .flink-logo-img {
    width: 50%;
  }
}

@media (min-width: 768px) {
  .input-area {
    width: 90%;
  }
  .flink-logo-img {
    width: 45%;
  }
}

@media (min-width: 992px) {
  .input-area {
    width: 85%;
  }
  .flink-logo-img {
    width: 35%;
  }
}

@media (min-width: 1200px) {
  .input-area {
    width: 80%;
  }
  .flink-logo-img {
    width: 50%;
  }
}

.flink-logo-img {
  display: block;
  margin: 15px auto;
  padding: 0;
  max-height: 300px;
  object-fit: scale-down;
  filter: drop-shadow(0 0 100px #00A0FF);
}

.input-area {
  margin-left: auto;
  margin-right: auto;
  max-width: 1000px;
}

button {
  display: block;
  padding: 0;
  width: 100%;
  height: 50px;
  margin-top: 15px;
  margin-left: auto;
  margin-right: auto;

  font-size: 1.2rem;
  font-weight: 550;
  border-radius: 10px;
  box-shadow: 0 0 5px #2323F6;

  border: none;
  cursor: pointer;
  text-decoration: none;

  color: #CCC;
  background-color: #4545F6;
}

button:hover {
  background-color: #5666FF;
  box-shadow: 0 0 15px #4545F6;
  color: white;
}

input {
  display: block;
  width: 100%;
  height: 50px;
  margin-top: 15px;
  margin-left: auto;
  margin-right: auto;
  padding: 0;

  font-size: 1.3rem;
  border-radius: 10px;
  box-shadow: 0 0 15px #151515;

  border: none;
  text-decoration: none;
  text-align: center;
  color: #CCC;
  background-color: #404040;
}

input:hover {
  box-shadow: 0 0 15px #505050;
}

.output-area {
  margin-top: 25px;
  margin-bottom: 25px;
  display: flex;
  flex-direction: row;
  align-items: center;
  align-content: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 25px;
}

#embed-output {
  display: block;
  max-width: 600px;
  width: 100%;
  height: 202px;
  border: none;
}

#output-qr-code {
  display: block;
  margin: 0;
  padding: 0;
  height: 202px;
}

.status-text {
  display: block;
  width: 100%;
  text-align: center;
  color: #00A0FFFF;
  font-weight: 700;
  height: 1.5rem;
}

.error-glow {
  box-shadow: 0 0 30px #ff0000;
}

.loader {
  margin-left: 260px;
  margin-right: 260px;
  width: 60px;
  height: 60px;
  border: 5px solid #FFF;
  border-bottom-color: #00A0FFFF;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
